var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Differences Between pymxs and MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Differences Between pymxs and MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"differences-between-pymxs-and-maxscript\"></a></div>\n\
<p>There are several features of native MAXScript that are not available in the <span class=\'code\'>pyxms.runtime</span>. These differences are due to the way some language constructs are exposed in MAXScript, differences between the syntax of the two languages, or in some cases by design. In many cases there are work-arounds for these limitations, which are illustrated by examples in this topic.</p>\n\
<div class=\'section\'><a id=\"overview\"></a><h2 id=\"overview\">Overview</h2></div>\n\
<p>These are the general areas where pymxs.runtime differs from native MAXScript, but where work-arounds exist:</p>\n\
<ul>\n\
<li>using MAXScript pathname values (using <span class=\'code\'>$</span> and wildcards)</li>\n\
<li>calling 3ds Max commands (<span class=\'code\'>max ...</span> commands)</li>\n\
<li>registering callbacks</li>\n\
<li>accessing gizmos</li>\n\
<li>accessing object properties and controllers</li>\n\
<li>creating startup scripts</li>\n\
<li>coercing MAXScript Values</li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";