var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-plug-ins\"></a></div>\n\
<p>The pluginManager interface exposes properties and methods for managing 3ds Max plug-ins. The sample <em>output_plugin_classes.py</em> illustrates how to enumerate all the loaded plug-ins and print out some information about them.</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&#39;&#39;&#39;\n\
    Demonstrates using the PluginManager to extract information about loaded\n\
    plugins.\n\
&#39;&#39;&#39;\n\
from pymxs import runtime as rt # pylint: disable=import-error\n\
\n\
# List all plug-in dlls\n\
PLUGIN_COUNT = rt.pluginManager.pluginDllCount\n\
print(&quot;Total PluginDlls: {0}\\n&quot;.format(PLUGIN_COUNT))\n\
# maxscript uses one based indices\n\
for p in range(1, PLUGIN_COUNT + 1):\n\
    print(&quot;PluginDll:&quot;, rt.pluginManager.pluginDllFullPath(p))\n\
    print(&quot;Description:&quot;, rt.pluginManager.pluginDllName(p))\n\
    print(&quot;Loaded:&quot;, rt.pluginManager.isPluginDllLoaded(p))\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";