var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with Assets</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with Assets</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-assets\"></a></div>\n\
<p>The <span class=\'code\'>AssetManager</span> interface exposes methods to get information about and manipulate scene assets (external files). Individual scene assets are represented by objects of the <span class=\'code\'>AssetUser</span> class, which contains methods to query those assets.</p>\n\
<p>For example to get a list of assets in a scene:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">from pymxs import runtime as rt\n\
\n\
num_assets = rt.AssetManager.getNumAssets()\n\
for i in range(1,num_assets+1):\n\
    ass = rt.AssetManager.getAssetByIndex(i)\n\
    print(ass.getFileName())\n\
</pre></div><p>The output depends on the scene, but could look something like:</p>\n\
<div class=\'codeBlock\'><pre>C:\\3ds Max\\OSL\\UberBitmap.osl\n\
C:\\3ds Max\\maps\\uvwunwrap\\UV_Checker.png\n\
C:\\3ds Max\\Maps\\fx\\StandardFX11.fx\n\
C:\\3ds Max\\OSL\\OSLBitmap.osl\n\
C:\\3ds Max\\OSL\\BlackBody.osl\n\
C:\\3ds Max\\OSL\\Candy.osl\n\
...\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";