var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Calling 3ds Max Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Calling 3ds Max Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"calling-3ds-max-commands\"></a></div>\n\
<p>The 3ds Max commands used to invoke menu and toolbar commands, such as <span class=\'code\'>max file open</span>, are not directly available in pymxs. However, these commands can be run using pymxs.runtime.execute(), which takes a string of MAXScript and runs it. For example:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">pymxs.runtime.execute(&#39;max file open&#39;)\n\
</pre></div><p>See the &quot;3ds Max Commands&quot; topic in the MAXScript Help for more information about the commands that are available.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";