var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing MAXScript PathName Values</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing MAXScript PathName Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-maxscript-pathname-values\"></a></div>\n\
<p>The <span class=\'code\'>$</span> notation in MAXScript indicates a PathName literal value, for example <span class=\'code\'>$Box001</span> is the node with the name &quot;Box001&quot;. These special values have no equivalent direct exposure in pymxs. However, you can evaluate a StringStream that contains a MAXScript PathName Literal with <span class=\'code\'>readValue()</span> and use the result in any function that takes a node or node list, for example if you want to use <span class=\'code\'>select()</span>:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">rt.select(rt.readvalue(rt.StringStream(&#39;$Box001&#39;)))\n\
</pre></div><p>In this instance you could also use <span class=\'code\'>rt.getNodeByName()</span>, but that method takes a name rather than a scene path, and does not support wildcards.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";